Package org.kapott.hbci.sepa.jaxb.pain_002_001_10

## Class Document

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_002_001_10.Document

    public class Document
    extends java.lang.Object

Java class for Document complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="Document">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="CstmrPmtStsRpt" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.10}CustomerPaymentStatusReportV10"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected CustomerPaymentStatusReportV10` `cstmrPmtStsRpt`

### Constructor Summary

Constructors
`Document()`

### Method Summary

All Methods Instance Methods Concrete Methods
`CustomerPaymentStatusReportV10` `getCstmrPmtStsRpt()` Gets the value of the cstmrPmtStsRpt property.
`void` `setCstmrPmtStsRpt​(CustomerPaymentStatusReportV10 value)` Sets the value of the cstmrPmtStsRpt property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### cstmrPmtStsRpt

    protected CustomerPaymentStatusReportV10 cstmrPmtStsRpt

### Constructor Detail

#### Document

    public Document()

### Method Detail

#### getCstmrPmtStsRpt

    public CustomerPaymentStatusReportV10 getCstmrPmtStsRpt()

Gets the value of the cstmrPmtStsRpt property.

Returns:
  possible object is `CustomerPaymentStatusReportV10`

#### setCstmrPmtStsRpt

    public void setCstmrPmtStsRpt​(CustomerPaymentStatusReportV10 value)

Sets the value of the cstmrPmtStsRpt property.

Parameters:
  `value` - allowed object is `CustomerPaymentStatusReportV10`